PDA

View Full Version : Object doesn't support property or method '_unload'



cvh3710
20 May 2016, 7:39 AM
Hi,

We upgraded from Ext 3.0 to Ext 4.1 and now we are seeing an Ext JS related error when loading pages with Ext calls. This is the error below:

SCRIPT438: Object doesn't support property or method '_unload'
File: ext-base.js, Line: 7, Column: 17811

Running IE 11 in compatibility mode.

Any ideas?

- Thanks

Gary Schlosberg
23 May 2016, 10:02 AM
Thanks for the report. IE Compatibility modes are not supported in Ext JS.

cvh3710
23 May 2016, 11:23 AM
Thanks for the reply Gary. Unfortunately, we get the same error in regular mode in IE 11. Your thoughts?

Gary Schlosberg
23 May 2016, 1:12 PM
Difficult to say without seeing code. Another note is that IE11 is not supported by Ext JS 4.1 because it was released well after it. I believe 4.2.2 is the first version to offer some support IE11, though it was released about a month before IE11.

cvh3710
25 May 2016, 8:14 AM
Did some more testing on this error. Created a blank page with no code; only including the following Ext files on the page like so and we are seeing the error, Your thoughts?

<script type="text/javascript" src="/cf_scripts/scripts/ajax/ext/adapter/ex/ext-base.js"></script>

<script type="text/javascript" src="/cf_scripts/scripts/ajax/ext-all.js"></script>

Gary Schlosberg
26 May 2016, 3:43 PM
With which browser are you seeing this? From where did you get the ext-base.js file?